com.ietnet.fse.igestore.impl.entities

## Class AccessLogEntity

- java.lang.Object
- - com.ietnet.fse.igestore.impl.entities.AccessLogEntity

-     @Entity
      public class AccessLogEntity
      extends java.lang.Object

  Author:
    meola

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `byte[]` | `getAssunzioneResp()`
    `java.sql.Timestamp` | `getDataOperazione()`
    `java.lang.String` | `getDescOrganizzazione()`
    `java.lang.String` | `getDescrizione()`
    `java.lang.String` | `getEmergenza()`
    `java.lang.Integer` | `getId()`
    `java.lang.String` | `getIdAssistito()`
    `java.lang.String` | `getIdDocumento()`
    `java.lang.String` | `getIdOperatore()`
    `java.lang.String` | `getIdOrganizzazione()`
    `java.lang.String` | `getRisultato()`
    `java.lang.String` | `getRuolo()`
    `java.lang.String` | `getStruttura()`
    `java.lang.String` | `getTipoDocumento()`
    `java.lang.String` | `getTipoOperazione()`
    `java.lang.String` | `getTrattamento()`
    `int` | `hashCode()`
    `void` | `setAssunzioneResp(byte[] assunzioneResp)`
    `void` | `setDataOperazione(java.sql.Timestamp dataOperazione)`
    `void` | `setDescOrganizzazione(java.lang.String descOrganizzazione)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setEmergenza(java.lang.String emergenza)`
    `void` | `setId(java.lang.Integer id)`
    `void` | `setIdAssistito(java.lang.String idAssistito)`
    `void` | `setIdDocumento(java.lang.String idDocumento)`
    `void` | `setIdOperatore(java.lang.String idOperatore)`
    `void` | `setIdOrganizzazione(java.lang.String idOrganizzazione)`
    `void` | `setRisultato(java.lang.String risultato)`
    `void` | `setRuolo(java.lang.String ruolo)`
    `void` | `setStruttura(java.lang.String struttura)`
    `void` | `setTipoDocumento(java.lang.String tipoDocumento)`
    `void` | `setTipoOperazione(java.lang.String tipoOperazione)`
    `void` | `setTrattamento(java.lang.String trattamento)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLogEntity

          public AccessLogEntity()

  - ### Method Detail

    - #### getId

          public java.lang.Integer getId()

    - #### setId

          public void setId(java.lang.Integer id)

    - #### getIdAssistito

          public java.lang.String getIdAssistito()

    - #### setIdAssistito

          public void setIdAssistito(java.lang.String idAssistito)

    - #### getDataOperazione

          public java.sql.Timestamp getDataOperazione()

    - #### setDataOperazione

          public void setDataOperazione(java.sql.Timestamp dataOperazione)

    - #### getTipoOperazione

          public java.lang.String getTipoOperazione()

    - #### setTipoOperazione

          public void setTipoOperazione(java.lang.String tipoOperazione)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getIdOperatore

          public java.lang.String getIdOperatore()

    - #### setIdOperatore

          public void setIdOperatore(java.lang.String idOperatore)

    - #### getIdDocumento

          public java.lang.String getIdDocumento()

    - #### setIdDocumento

          public void setIdDocumento(java.lang.String idDocumento)

    - #### getTipoDocumento

          public java.lang.String getTipoDocumento()

    - #### setTipoDocumento

          public void setTipoDocumento(java.lang.String tipoDocumento)

    - #### getRisultato

          public java.lang.String getRisultato()

    - #### setRisultato

          public void setRisultato(java.lang.String risultato)

    - #### getEmergenza

          public java.lang.String getEmergenza()

    - #### setEmergenza

          public void setEmergenza(java.lang.String emergenza)

    - #### getAssunzioneResp

          public byte[] getAssunzioneResp()

    - #### setAssunzioneResp

          public void setAssunzioneResp(byte[] assunzioneResp)

    - #### getRuolo

          public java.lang.String getRuolo()

    - #### setRuolo

          public void setRuolo(java.lang.String ruolo)

    - #### getIdOrganizzazione

          public java.lang.String getIdOrganizzazione()

    - #### setIdOrganizzazione

          public void setIdOrganizzazione(java.lang.String idOrganizzazione)

    - #### getDescOrganizzazione

          public java.lang.String getDescOrganizzazione()

    - #### setDescOrganizzazione

          public void setDescOrganizzazione(java.lang.String descOrganizzazione)

    - #### getStruttura

          public java.lang.String getStruttura()

    - #### setStruttura

          public void setStruttura(java.lang.String struttura)

    - #### getTrattamento

          public java.lang.String getTrattamento()

    - #### setTrattamento

          public void setTrattamento(java.lang.String trattamento)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`